Assign a new Virtual account for a currency
curl --request POST \
--url https://{environment}.ebury.io/account-details/virtual/{currency} \
--header 'Authorization: <authorization>' \
--header 'x-api-key: <api-key>'import requests
url = "https://{environment}.ebury.io/account-details/virtual/{currency}"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'x-api-key': '<api-key>'}
};
fetch('https://{environment}.ebury.io/account-details/virtual/{currency}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.ebury.io/account-details/virtual/{currency}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.ebury.io/account-details/virtual/{currency}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{environment}.ebury.io/account-details/virtual/{currency}")
.header("Authorization", "<authorization>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.ebury.io/account-details/virtual/{currency}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"account_details_id": "<string>",
"account_details_type": "<string>",
"account_holder_address": "<string>",
"account_holder_name": "<string>",
"account_id": "<string>",
"alias": "<string>",
"country": "<string>",
"created": "2023-11-07T05:31:56Z",
"currency": "<string>",
"domestic": {
"account_number": "<string>",
"account_number_type": "<string>",
"bank_identifier": "<string>",
"bank_identifier_type": "<string>"
},
"international": {
"account_number": "<string>",
"account_number_type": "<string>",
"bank_identifier": "<string>",
"bank_identifier_type": "<string>"
},
"financial_institution_address": "<string>",
"financial_institution_name": "<string>",
"modified": "2023-11-07T05:31:56Z",
"primary": true,
"status": "<string>"
}
]{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Account details
Assign a new Virtual account for a currency
Assigns a virtual account to a currency the customer is allowed to assign virtual accounts for. Only one Dedicated (virtual+segregated) account per currency is allowed.
POST
/
account-details
/
virtual
/
{currency}
Assign a new Virtual account for a currency
curl --request POST \
--url https://{environment}.ebury.io/account-details/virtual/{currency} \
--header 'Authorization: <authorization>' \
--header 'x-api-key: <api-key>'import requests
url = "https://{environment}.ebury.io/account-details/virtual/{currency}"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'x-api-key': '<api-key>'}
};
fetch('https://{environment}.ebury.io/account-details/virtual/{currency}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.ebury.io/account-details/virtual/{currency}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.ebury.io/account-details/virtual/{currency}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{environment}.ebury.io/account-details/virtual/{currency}")
.header("Authorization", "<authorization>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.ebury.io/account-details/virtual/{currency}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"account_details_id": "<string>",
"account_details_type": "<string>",
"account_holder_address": "<string>",
"account_holder_name": "<string>",
"account_id": "<string>",
"alias": "<string>",
"country": "<string>",
"created": "2023-11-07T05:31:56Z",
"currency": "<string>",
"domestic": {
"account_number": "<string>",
"account_number_type": "<string>",
"bank_identifier": "<string>",
"bank_identifier_type": "<string>"
},
"international": {
"account_number": "<string>",
"account_number_type": "<string>",
"bank_identifier": "<string>",
"bank_identifier_type": "<string>"
},
"financial_institution_address": "<string>",
"financial_institution_name": "<string>",
"modified": "2023-11-07T05:31:56Z",
"primary": true,
"status": "<string>"
}
]{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Authorizations
An API Key.
Headers
The access token
Path Parameters
Currency code of the Virtual account to assign
Query Parameters
ID of the client that owns the account
Minimum string length:
1Response
Virtual account assigned
Show child attributes
Show child attributes
Show child attributes
Show child attributes